Bug 450169 - gfs_controld should read plocks from either dlm or lock_dlm
gfs_controld should read plocks from either dlm or lock_dlm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 13:12 EDT by David Teigland
Modified: 2009-04-16 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 11:05:55 EST

  None (edit)
Description David Teigland 2008-06-05 13:12:32 EDT
Description of problem:

For bug 450138, the kernel plock code was moved from gfs2 into the dlm.
gfs_controld needs to be adapted to this change, and read plocks from
either lock_dlm (kernels before 5.3), or dlm (kernels 5.3 and later).

The misc device gfs_controld reads/writes has previously been called
"lock_dlm_plock", but the patch for bug 450138 changes the name of
the device to "dlm_plock".  gfs_controld looks for "dlm_plock", and
if it's not found, looks for "lock_dlm_plock".  If "lock_dlm_plock"
is found, it knows that the filesystem/lockspace id in the plock
structures needs to be translated.  Otherwise, the operation of
plocks remains the same.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Teigland 2008-06-05 15:33:14 EDT
I'm waiting to push this change to the RHEL5 branch until the patch
for bug 450138 has been included in the RHEL5 kernel.  That patch
includes a new kernel header, dlm_plock.h, that is required for
building the modified gfs_controld.
Comment 2 RHEL Product and Program Management 2008-06-05 15:34:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 errata-xmlrpc 2009-01-20 16:53:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html

Note You need to log in before you can comment on or make changes to this bug.